summaryrefslogtreecommitdiffstats
path: root/0010-systemd-dracut-initqueue.sh-continue-to-boot-if-fini.patch
blob: d273a51e4336ea7b38ce1e9b467f84709d3d66ef (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
From 226e3710b4236c69a8f821b6a5c53a264fe4892a Mon Sep 17 00:00:00 2001
From: Harald Hoyer <harald@redhat.com>
Date: Mon, 5 Aug 2013 11:23:16 +0200
Subject: [PATCH] systemd/dracut-initqueue.sh: continue to boot if finished
 failed

but /sysroot/etc/fstab exists.
---
 modules.d/98systemd/dracut-initqueue.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/modules.d/98systemd/dracut-initqueue.sh b/modules.d/98systemd/dracut-initqueue.sh
index 35cd76f..893ebc4 100755
--- a/modules.d/98systemd/dracut-initqueue.sh
+++ b/modules.d/98systemd/dracut-initqueue.sh
@@ -62,7 +62,14 @@ while :; do
     fi
 
     main_loop=$(($main_loop+1))
-    [ $main_loop -gt $RDRETRY ] && action_on_fail "Could not boot." && break
+    if [ $main_loop -gt $RDRETRY ];
+        if ! [ -d /sysroot/etc/fstab ] || ! [ -e /sysroot/sbin/init ] ; then
+            action_on_fail "Could not boot." && break
+        fi
+        warn "Not all disks have been found."
+        warn "You might want to regenerate your initramfs."
+        break
+    fi
 done
 
 unset job